Skip to main content
POST
/
service-accounts
/
{org}
Create a service account
curl --request POST \
  --url https://app.kosli.com/api/v2/service-accounts/{org} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "privilege": "reader"
}
'
{
  "name": "<string>",
  "display_name": "<string>",
  "description": "<string>",
  "creating_user_id": "<string>",
  "created_at": 123,
  "for_webhook": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Body

application/json
name
string
required
Required string length: 1 - 64
Pattern: ^[a-zA-Z0-9\-]+$
description
string | null
Maximum string length: 512
privilege
enum<string>
default:reader
Available options:
admin,
member,
snapshotter,
reader

Response

Successful Response

name
string
required
display_name
string
required
privilege
enum<string>
required
Available options:
admin,
member,
snapshotter,
reader
description
string | null
creating_user_id
string | null
created_at
number | null
for_webhook
boolean | null
Last modified on June 22, 2026